<html>
   <%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %> 
   <%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %> 
   <f:view>
      <head> 
         <f:loadBundle basename="com.corejsf.messages" var="msgs"/>
         <title><h:outputText value="A Java Trivia Quiz"/></title>
      </head>
      <body>
         <h:form>
            <p>
               <h:outputText value="Sorry, that was still not correct."/>
               <h:outputText value="The correct answer was:"/>
               <h:outputText value="#{quiz.lastAnswer}"/>.
            </p>
            <p>Here is your next problem.</p>
            <p>
               <h:outputText value="#{quiz.question}"/>
            </p>
            <p>
               <h:inputText value="#{quiz.response}"/>
            </p>
            <p>
               <h:commandButton value="Check Answer" 
                  action="#{quiz.answerAction}"/>
            </p>
         </h:form>
      </body>
   </f:view>
</html>